aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-10-18 14:57:20 +0000
committerBill Nottingham <notting@redhat.com>1999-10-18 14:57:20 +0000
commitfb9d49351df9299b41ceb657e60506ea4e8501f0 (patch)
treebef837b3c83ee779bad84a8a0136935d9ecf709b
parent122688e5b6a326e6ed6b99a8e479cf140529f5fc (diff)
downloadinitscripts-fb9d49351df9299b41ceb657e60506ea4e8501f0.tar
initscripts-fb9d49351df9299b41ceb657e60506ea4e8501f0.tar.gz
initscripts-fb9d49351df9299b41ceb657e60506ea4e8501f0.tar.bz2
initscripts-fb9d49351df9299b41ceb657e60506ea4e8501f0.tar.xz
initscripts-fb9d49351df9299b41ceb657e60506ea4e8501f0.zip
only load mixer settings if we loaded a soumd module
-rwxr-xr-xrc.d/rc.sysinit8
1 files changed, 4 insertions, 4 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index da8830a5..63d49d2c 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -285,10 +285,10 @@ fi
if [ -n "$USEMODULES" ]; then
if grep -s -q "^alias sound " /etc/conf.modules ; then
action "Loading sound module" modprobe sound
- fi
- # Get mixer settings
- if [ $? -eq 0 -a -f /etc/.aumixrc -a -x /bin/aumix-minimal ]; then
- action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
+ # Get mixer settings
+ if [ $? -eq 0 -a -f /etc/.aumixrc -a -x /bin/aumix-minimal ]; then
+ action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
+ fi
fi
if grep -s -q "^alias midi " /etc/conf.modules ; then
action "Loading midi module" modprobe midi